Skip to main content
DELETE
/
v1
/
shipping
/
retailers
/
{id}
/
ship-to-locations
/
{location_id}
Delete Retailer Ship-To Location
curl --request DELETE \
  --url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/ship-to-locations/{location_id} \
  --header 'Authorization: Bearer <token>'
{
  "errors": [
    {
      "type": "parameters",
      "message": "The supplied parameters are invalid.",
      "details": [
        {
          "key": "hold_until_date",
          "message": "The date must be in the future."
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the parent Retailer.

Required range: x >= 1
location_id
integer<int32>
required

The id of the referenced RetailerShipToLocation.

Required range: x >= 1

Response

OK - The operation completed successfully and there is no response body.